Модуль PHP nd_mysql

Расширения MySQL_ND и MySQL PHP — это разные наборы драйверов. Они предоставляются разными командами разработчиков (MySQL и PHP соответственно). Наиболее важным является тот факт, что они являются взаимоисключающими — вы не можете выбирать их одновременно или смешивать их любым способом. В противном случае код PHP выдаст ошибки о подключении к базе данных MySQL.

Начиная с PHP 5.4, mysqlnd используется в качестве драйвера MySQL по умолчанию для всех расширений MySQL PHP. Но для PHP 5.3 и более старых версий PHP libmysqlclient используется в качестве соединителя от PHP к MySQL. Для PHP Selector необходимо поддерживать оба метода, поэтому был добавлен префикс nd_ * для расширений PHP MySQL, совместимых с mysqlnd.

  • libmysqlclient работает с расширениями mysql, mysqli, pdo_mysql (PHP 4.4 — PHP 5.3);
  • mysqlnd работает с расширениями nd_mysql, nd_mysqli, nd_pdo_mysql (PHP 5.4 — PHP 7.1).

Модуль nd_mysql доступен в PHP: 5.3, 5.4, 5.5, 5.6

Модуль PHP nd_mysql
Была ли эта статья полезна?
нет 0
просмотры: 128